Skip to main content
POST
Create patient

Authorizations

Authorization
string
header
required

Service (M2M) access token issued by POST /auth/token using the client_credentials grant. Required scopes, where known, are listed on each operation below.

Body

application/json
last_name
string
required
Maximum string length: 100
active
boolean
first_name
string | null
Maximum string length: 100
middle_name
string | null
Maximum string length: 100
email
string<email>
Maximum string length: 254
phone
string
Pattern: ^\+[1-9]\d{1,14}$
gender
enum<string>
Available options:
male,
female,
other,
unknown
birth_date
string
Pattern: ^\d{4}-\d{2}-\d{2}$
deceased_boolean
boolean
deceased_date_time
string<date-time>
addresses
object[]
Maximum array length: 10
marital_status
object[]
Maximum array length: 5
general_practitioner_ids
string[]
Maximum array length: 20
Required string length: 1 - 64

Response

Created

data
object
required
request_id
string
required